## pylint2 1.9.2

=== debian/changelog ===
pylint2 (1.9.2-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Nicolas Dandrimont ]
  * Split into source package pylint2, only build Python2 packages
  * Update dh_installemacsen postinst snippet

 -- Nicolas Dandrimont <olasd@debian.org>  Wed, 26 Sep 2018 15:49:26 +0200

pylint (1.9.2-1) unstable; urgency=medium

  * New upstream release
  * debian/watch
    - scan for versions containing only numbers and dots
  * debian/copyright
    - update upstream files copyright notices

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Jun 2018 22:07:13 -0400

pylint (1.8.4-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/0002-Make-the-build-reproducible.patch
    - make the build reproducible; patch by Chris Lamb; Closes: #894607
  * debian/control
    - bump Standards-Version to 4.1.4 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 13 May 2018 20:17:22 -0400

pylint (1.8.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol

  [ Sandro Tosi ]
  * New upstream release; #891176
  * debian/source/options
    - ignore missing .eggs folder; patch by Joseph Herlant; Closes: #894224
  * debian/copyright
    - extend packaging copyright years
  * debian/rules
    - re-enable tests installation, there's no reason not to; Closes: #891146
  * debian/control
    - bump Standards-Version to 4.1.3 (no changes needed)
  * debian/*.postinst
    - do not pre-compile pylint; test directory contains intentionally broken
      files, but py{3,}compile would try to build them anyway, failing to
      install the package; dh_python* doesnt provide a sane way to selectively
      disable only the test dir, so let's skip entirely the pre-build step

 -- Sandro Tosi <morph@debian.org>  Tue, 27 Mar 2018 23:14:47 -0400

pylint (1.8.1-1) unstable; urgency=medium

  * New upstream release; Closes: #885965
  * debian/copyright
    - auto-generate updated upstream copyright notices
  * debian/patches/reproducible_build.patch
    - drop, merged upstream
  * debian/rules
    - dont fail if tests fail; Closes: #887818

 -- Sandro Tosi <morph@debian.org>  Sun, 21 Jan 2018 17:26:49 -0500

pylint (1.7.4-2) unstable; urgency=medium

  * debian/patches/reproducible_build.patch
    - make the build reproducible; patch by Chris Lamb; Closes: #883913

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Dec 2017 09:18:29 -0500

pylint (1.7.4-1) unstable; urgency=medium

  [ Michael Hudson-Doyle ]
  * New upstream release; Closes: #868820, #827139
  * debian/control
    - Update versions of build-depends-indep on astroid.
    - Add pytest and pytest-runner to build-depends-indep.
    - Manually add dependencies missed by dh-python thanks to bug #834133
  * d/rules:
    - Run the tests via pytest not unittest discover (which no longer finds the
    tests), and do not ignore the exit code when doing so.

  [ Sandro Tosi ]
  * debian/control
    - add logilab-common to b-d and deps
    - bump Standards-Version to 4.1.2 (no changes needed)
    - use python3-sphinx to build doc
    - add setuptools to bin pkgs deps
  * debian/copyright
    - update upstream copyright notice
    - update single files specific copyright notices
  * pylint-gui has been removed upstream
  * debian/patches/doc_makefile_python3.patch
    - build doc extensions with python3

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Dec 2017 21:23:07 -0500

pylint (1.6.5-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update upstream copyright
    - extend packaging copyright years
  * debian/control
    - remove outdated XS-Python-Version field
    - add isort to b-d and depends, needed by new code
    - add mccabe to b-d and suggests, needed by new code
    - add backports.functools to b-d and depends, needed by new code
  * debian/copyright
    - extend packaging copyright years
    - generate all the updated copyright notices for upstream files

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Jan 2017 14:05:37 -0500

pylint (1.5.6-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Jun 2016 20:43:22 +0100

pylint (1.5.5-1) unstable; urgency=medium

  * New upstream release; Closes: #806431
  * debian/control
    - switch Vcs-Browser to HTTPS
    - b-d on python-all
    - depends on astroid >= 1.4.5
    - bump Standards-Version to 3.9.8 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Mon, 25 Apr 2016 20:17:44 +0100

pylint (1.5.2-1) unstable; urgency=medium

  * New upstream release; Closes: #790905
  * debian/control
    - bump versioned depends of python-astroid to 1.4.1
    - drop deps on logilab-common, it is no longer required
  * debian/copyright
    - extend packaging copyright years
    - update for new upstream code
  * Fix build with multiple supported Python versions; patch by Dmitry Shachnev;
    Closes: #802126
  * debian/rules
    - install README.rst (README was renamed)
    - adapt unittests execution to new upstream code
  * debian/pylint.emacsen-startup
    - autoload key-bindings and menu-items; patch by Aaron M. Ucko;
      Closes: #799728

 -- Sandro Tosi <morph@debian.org>  Sun, 03 Jan 2016 14:39:35 +0000

pylint (1.4.4-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Aug 2015 01:21:41 +0100

pylint (1.4.3-1) experimental; urgency=medium

  * New upstream release
  * debian/control
    - bump deps on astroid to at least version 1.3.6
  * debian/patches/*
    - dropped, merged upstream

 -- Sandro Tosi <morph@debian.org>  Wed, 08 Apr 2015 18:01:36 +0100

pylint (1.4.1-2) experimental; urgency=medium

  * Provide py3k package, adapted from Ubuntu packaging; Closes: #606165
  * build doc at build time and provide a -doc package
  * debian/{patches/build_doc.patch, rules}
    - use the built code instead of the system-wide to build doc
  * debian/rules

