## pylint2 1.9.4

=== debian/changelog ===
pylint2 (1.9.4-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Fri, 01 Feb 2019 18:57:52 -0500

pylint2 (1.9.3-1) unstable; urgency=medium

  * New upstream release
  * debian/watch
    - track only 1.x releases
  * debian/control
    - bump Standards-Version to 4.3.0 (no changes needed)
    - update Vcs-* fields to a proper git repo

 -- Sandro Tosi <morph@debian.org>  Wed, 26 Dec 2018 10:35:09 -0500
