=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), dh-python
 Build-Depends-Indep: python-astroid (>= 1.5.1), python-unittest2, python-six, python-isort, python-mccabe, python-backports.functools-lru-cache, python-configparser, python-singledispatch, python-setuptools, python-pytest-runner, python-pytest, python-logilab-common (>= 0.19.0)
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: http://www.pylint.org/
-Vcs-Git: https://salsa.debian.org/python-team/applications/pylint.git -b pylint2
-Vcs-Browser: https://salsa.debian.org/python-team/applications/pylint
+Vcs-Git: https://salsa.debian.org/python-team/applications/pylint2.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/pylint2
 
 Package: pylint
 Architecture: all
